%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-growl
Version:    1.7.0
Release:    4%{?dist}
Summary:    Growl unobtrusive notifications for Node.js
# License text is included in Readme.md
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/visionmedia/node-growl
Source0:    http://registry.npmjs.org/growl/-/growl-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  libnotify-devel
%endif

Requires:       libnotify%{?_isa} >= 0:0.5.0-1

%description
%{summary}


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/growl
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/growl

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test.js
%endif


%files
%doc History.md Readme.md
%{nodejs_sitelib}/growl


%changelog
* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.7.0-4
- restrict to compatible arches

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.7.0-3
- rebuild for missing npm(growl) provides on EL6

* Sun Feb 24 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.7.0-2
- specify architecture and version for libnotify in Requires

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.7.0-1
- initial package
